Bug 302261 - Review Request: perl-CSS - Object oriented access to Cascading Style Sheets (CSS)
Review Request: perl-CSS - Object oriented access to Cascading Style Sheets...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 302271
  Show dependency treegraph
 
Reported: 2007-09-23 13:58 EDT by Terje Røsten
Modified: 2008-04-24 16:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 16:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-09-23 13:58:07 EDT
Spec URL: http://terjeros.fedorapeople.org/html2wiki/perl-CSS.spec
SRPM URL: http://terjeros.fedorapeople.org/html2wiki/perl-CSS-1.07-1.fc7.src.rpm
Description: 
This module can be used, along with a CSS::Parse::* module, to parse
CSS data and represent it as a tree of objects. Using a
CSS::Adaptor::* module, the CSS data tree can then be transformed into
other formats.
Comment 1 Ville Skyttä 2007-09-23 15:04:49 EDT
- iconv'ing should be moved from %install to %prep for --short-circuit build sanity.

- BuildRequires: perl(Test::Simple) missing.

- Including examples/ in %doc would look like a good idea.

- License: Artistic clarified: I don't think that's the case.  The package's
README says "License: Perl Artistic License" and AFAIK that's not the clarified
one, it's the original which is not OK in Fedora.  If that's correct, it's a
blocker.  Ask upstream to move to Artistic 2.0 or the clarified one? 
http://fedoraproject.org/wiki/Licensing
Comment 2 Terje Røsten 2007-09-23 16:46:22 EDT
> - iconv'ing should be moved from %install to %prep for --short-circuit build
sanity.

Fixed
 
> - BuildRequires: perl(Test::Simple) missing.

Fixed.
 
> - Including examples/ in %doc would look like a good idea.

Fixed.
 
> Ask upstream to move to Artistic 2.0 or the clarified one? 

Done, wait and hope :-)

SPEC: http://terjeros.fedorapeople.org/html2wiki/perl-CSS.spec
SRPM: http://terjeros.fedorapeople.org/html2wiki/perl-CSS-1.07-2.fc7.src.rpm




Comment 3 Ralf Corsepius 2007-09-24 02:31:32 EDT
(In reply to comment #1)
>The package's
> README says "License: Perl Artistic License" and AFAIK that's not the clarified
> one, it's the original which is not OK in Fedora.
Ville, this package is noarch and therefore doesn't link against anything GPL'ed.
=> There is no license violation.
Comment 4 Parag AN(पराग) 2007-09-24 02:50:28 EDT
I already asked same license name to spot in PM and he told me for CPAN modules
its allowed to use "GPL+ or Artistic."

Comment 5 Ville Skyttä 2007-09-24 10:20:13 EDT
(In reply to comment #3)
> Ville, this package is noarch and therefore doesn't link against anything GPL'ed.
> => There is no license violation.

Linking does not matter in this case because the original Artistic license,
which is the license for the source code in this package, is not accepted in
Fedora (by itself), no matter what it is linked to or not.

(In reply to comment #4)
> I already asked same license name to spot in PM and he told me for CPAN modules
> its allowed to use "GPL+ or Artistic."

That's incorrect.  Or more specifically, it's a too broad statement - "GPL+ or
Artistic" is what we can use when upstream says "Licensed under the same license
as Perl itself", which is very common for CPAN stuff.  But in this case,
upstream specifically says "Perl Artistic License" (which is not the same thing
as "same License as Perl" which would be the "GPL+ or Artistic" case) and
doesn't mention GPL at all, we cannot go ahead and claim it's GPL or add GPL to it.
Comment 6 Ralf Corsepius 2007-09-24 10:30:23 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > Ville, this package is noarch and therefore doesn't link against anything
GPL'ed.
> > => There is no license violation.
> 
> Linking does not matter in this case because the original Artistic license,
> which is the license for the source code in this package, is not accepted in
> Fedora (by itself), no matter what it is linked to or not.
Zealotry - Show me which laws and/or licenses, in which country, using a free
license such as the Artistic license in a scripted languages breaks?



Comment 7 Ville Skyttä 2007-09-24 11:24:07 EDT
The people who are in charge of the Fedora licensing rules are responsible for
defending them for you, not people who act according to them in package reviews.
 Contact spot and/or the fedora-legal-list if you have issues with the rules.

Regarding the actual packaging, 1.07-2.fc7 looks ready to me but I won't
personally approve it before the license issue is sorted out.
Comment 8 Parag AN(पराग) 2007-09-24 13:35:53 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > Ville, this package is noarch and therefore doesn't link against anything
GPL'ed.
> > => There is no license violation.
> 
> Linking does not matter in this case because the original Artistic license,
> which is the license for the source code in this package, is not accepted in
> Fedora (by itself), no matter what it is linked to or not.
> 
> (In reply to comment #4)
> > I already asked same license name to spot in PM and he told me for CPAN modules
> > its allowed to use "GPL+ or Artistic."
> 
> That's incorrect.  Or more specifically, it's a too broad statement - "GPL+ or
> Artistic" is what we can use when upstream says "Licensed under the same license
> as Perl itself", which is very common for CPAN stuff.  But in this case,
> upstream specifically says "Perl Artistic License" (which is not the same thing
> as "same License as Perl" which would be the "GPL+ or Artistic" case) and
> doesn't mention GPL at all, we cannot go ahead and claim it's GPL or add GPL
to it.

Sorry. My misunderstandings. I understood above thing correctly now.


Comment 9 Parag AN(पराग) 2007-10-15 10:03:28 EDT
Any progress on this review?
Comment 10 Jason Tibbitts 2007-11-18 00:05:39 EST
It's been another month and this ticket is blocking three others. Could we get a
status update?
Comment 11 Terje Røsten 2007-11-18 06:08:45 EST
> It's been another month and this ticket is blocking three others. 
> Could we get a status update?

I have sent a mail to Spot (Sept 27 2007) and to the authors (Allen Day and Cal
Henderson). No reply yet. Will resend.

BTW: Debian Lenny includes this package as libcss-perl:

 http://packages.debian.org/source/lenny/libcss-perl

Looking at the patch (link from the libcss-perl page)
http://ftp.de.debian.org/debian/pool/main/libc/libcss-perl/libcss-perl_1.07-1.diff.gz

they seems to believe the license is disjunction 
of the Artistic License 1.0 and the GNU GPL:

http://www.gnu.org/philosophy/license-list.html#PerlLicense

From the diff:
+++ libcss-perl-1.07/debian/copyright
@@ -0,0 +1,26 @@
+This is the debian package for the CSS module.
+It was created by Alejandro Garrido Mota <garridomota@gmail.com> using
dh-make-perl.
+
+Upstream homepage: http://search.cpan.org/~iamcal/CSS-1.07/
+
+Copyright:
+
+	Copyright (C) 2001-2002, Allen Day <allenday@ucla.edu>
+	Copyright (C) 2003-2004, Cal Henderson <cal@iamcal.com>.
+
+License:
+
+ This library is free software; you can redistribute it and/or modify it under
+ the same terms as Perl itself.
+
+ This program is distributed in the hope that it will be useful, but without
any warranty;
+ without even the implied warranty of merchantability or fitness for a
particular purpose.
+
+ Perl is distributed under your choice of the GNU General Public License or
+ the Artistic License.
+
+ The complete text of the GNU General Public License can be found in
+ /usr/share/common-licenses/GPL and the Artistic Licence can be found
+ in /usr/share/common-licenses/Artistic.
+
+The upstream author is: Allen Day <allenday@ucla.edu> and Cal Henderson
<cal@iamcal.com> 

 





Comment 12 Jason Tibbitts 2007-11-18 12:13:38 EST
It would be nice to know where the Debian maintainer found that statement; the
README file in the upstream tarball states quite clearly:
  Copyright (C) 2001-2002 Allen Day <allenday@ucla.edu>
  Copyright (C) 2003 Cal Henderson <cal@iamcal.com>
  License: Perl Artistic License
and I don't see that contradicted by any other license statements elsewhere in
the code.  Older versions have the same statement, without one of the copyright
holders.

I guess you could make the argument that they somehow meant "Perl Artistic
License" to mean "the license that Perl has", but I think that would be somewhat
disingenuous.
Comment 13 Parag AN(पराग) 2007-12-04 09:01:24 EST
any progress?
Comment 14 Terje Røsten 2007-12-04 14:02:17 EST
> any progress?

Yes, spot has sent an email to Cal, no news that front yet.

If he don't reply soon, I don't know what to do. Maybe move the package to
rpmfusion?
Comment 15 Parag AN(पराग) 2007-12-31 21:55:17 EST
I guess time to move this package to rpmfusion. Do you get any progress ?
Comment 16 Terje Røsten 2008-01-04 12:40:56 EST
(In reply to comment #15)
> I guess time to move this package to rpmfusion. Do you get any progress ?

Nothing from the authors yet. 

Seems like rpmfusion not is open for business, will hold this ticket open for a
while.


Comment 17 Jason Tibbitts 2008-01-20 12:37:28 EST
Why keep this ticket (or the two which depend on it) open when the software is
not acceptable for Fedora?
Comment 18 Terje Røsten 2008-01-23 13:10:09 EST
Hoping for a answer? 

Well, well closing now.
Comment 19 Tom "spot" Callaway 2008-04-22 12:32:20 EDT
Reopening. I finally got a hold of Cal, and he has agreed to relicense CSS.pm to
resolve this issue.
Comment 20 Terje Røsten 2008-04-22 14:06:25 EDT
Great spot! Thanks a lot!
Comment 21 Tom "spot" Callaway 2008-04-23 07:11:35 EDT
1.08 is released, and it is dual licensed, GPL+ or Artistic (just like Perl).

http://search.cpan.org/~iamcal/CSS-1.08/
Comment 22 Terje Røsten 2008-04-23 13:48:34 EDT
Updated package:

- 1.08 
- Fix license
- Simplify find options
- Fix file endings

spec: http://terjeros.fedorapeople.org/html2wiki/perl-CSS.spec
srpm: http://terjeros.fedorapeople.org/html2wiki/perl-CSS-1.08-1.fc8.src.rpm
Comment 23 Ville Skyttä 2008-04-23 14:55:25 EDT
"find ... -delete" won't work in EL4 so in case you have plans to ship this
package in EPEL4, I'd suggest reverting back to the "find ... -exec ..." versions.

BuildRequires: glibc-common is pretty much superfluous, it's brought in by a lot
of things in the minimal build root set. 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-4cadce5e79d38a63cad3941de1dadc9d25d67d30-2

The shipped examples operate on t/css_simple so I think it would be good to ship
it as examples/t/css_simple in docs so that the examples work as is when invoked
from the examples/ dir.

All of the above are just non-blocker suggestions, approved.
Comment 24 Terje Røsten 2008-04-23 16:30:27 EDT
> All of the above are just non-blocker suggestions, approved.

Great, thanks!


New Package CVS Request
=======================
Package Name: perl-CSS
Short Description:  Object oriented access to Cascading Style Sheets (CSS)
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 25 Kevin Fenzi 2008-04-24 12:13:34 EDT
cvs done.
Comment 26 Terje Røsten 2008-04-24 16:52:18 EDT
ship css_simple, built on F-7,8,9 and rawhide, pushed to bodhi for F-7 and F-8.
Closing.

Note You need to log in before you can comment on or make changes to this bug.